package com.ruoyi.common.utils;

import java.math.BigDecimal;

/**
 * @author wjh
 * 2025/1/17
 */
public class MathUtils {


    /**
     * 判断a和b的值是否一致
     */
    public static boolean equals(BigDecimal a, BigDecimal b) {
        return a != null && b != null && a.compareTo(b) == 0;
    }

    /**
     * 加法
     */
    public static BigDecimal addDecimal(BigDecimal... values) {
        BigDecimal result = BigDecimal.ZERO;
        for (BigDecimal value : values) {
            if (value != null) {
                result = result.add(value);
            }
        }
        return result;
    }

    /**
     * 减法
     */
    public static BigDecimal subtractDecimal(BigDecimal a, BigDecimal ...values) {
        BigDecimal result = a;
        for (BigDecimal value : values) {
            if (value != null) {
                result = result.subtract(value);
            }
        }
        return result;
    }
}
