package com.ruoyi.ss.vipLevel.service;

import com.ruoyi.ss.vipLevel.domain.VipLevel;
import com.ruoyi.ss.vipLevel.domain.VipLevelQuery;
import com.ruoyi.ss.vipLevel.domain.VipLevelVO;

import java.util.List;

/**
 * VIP等级定价Service接口
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public interface VipLevelService
{
    /**
     * 查询VIP等级定价
     *
     * @param id VIP等级定价主键
     * @return VIP等级定价
     */
    public VipLevelVO selectVipLevelById(Long id);

    /**
     * 查询VIP等级定价列表
     *
     * @param vipLevel VIP等级定价
     * @return VIP等级定价集合
     */
    public List<VipLevelVO> selectVipLevelList(VipLevelQuery vipLevel);

    /**
     * 新增VIP等级定价
     *
     * @param vipLevel VIP等级定价
     * @return 结果
     */
    public int insertVipLevel(VipLevel vipLevel);

    /**
     * 修改VIP等级定价
     *
     * @param vipLevel VIP等级定价
     * @return 结果
     */
    public int updateVipLevel(VipLevel vipLevel);

    /**
     * 批量删除VIP等级定价
     *
     * @param ids 需要删除的VIP等级定价主键集合
     * @return 结果
     */
    public int logicDel(List<Long> ids);
}
