package com.ruoyi.ss.vipLevel.service.impl;

import com.ruoyi.ss.store.domain.StoreVo;
import com.ruoyi.ss.store.service.StoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.common.utils.ServiceUtil;
import com.ruoyi.ss.vipLevel.domain.VipLevelVO;
import com.ruoyi.ss.vipLevel.domain.enums.VipLevelLimitType;
import com.ruoyi.ss.vipLevel.service.VipLevelValidator;

@Service
public class VipLevelValidatorImpl implements VipLevelValidator {

    @Autowired
    private StoreService storeService;

    @Override
    public void afterValid(VipLevelVO vo) {
        ServiceUtil.assertion(vo == null, "VIP等级定价不存在");

        // 判断限制次数是否必填
        if (!VipLevelLimitType.NONE.getType().equals(vo.getLimitType())) {
            ServiceUtil.assertion(vo.getLimitCount() == null, "限制次数不能为空");
            ServiceUtil.assertion(vo.getLimitCount() <= 0, "限制次数不能小于等于0");
        }

        // 判断店铺是否生效的店铺
        StoreVo store = storeService.selectSmStoreById(vo.getStoreId());
        ServiceUtil.assertion(store == null, "ID为%s的店铺不存在", vo.getStoreId());
        ServiceUtil.assertion(store.getEnabled() == null || !store.getEnabled(), "店铺【%s】暂未生效，请等待审核通过后重试", store.getName());
    }

}
